# base-uri

base-uri() → xs:anyURI?

Returns the base URI of the context node

There are no arguments
Result | xs:anyURI?

base-uri($arg as node()?) → xs:anyURI?

Returns the base URI of a specified node

Arguments
| $arg | node()? | The node whose base URI is required
Result | xs:anyURI?

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next